From 2a295b7f9daa43b4fcc6fd7cf4736da1ae73d37c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E4=BD=99=E6=98=8C=E5=B9=B3?= <dead.ash@hotmail.com>
Date: Wed, 17 Jun 2020 17:09:24 +0800
Subject: [PATCH] kernel32: Fix GetPrivateProfileInt for empty filename
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Changping Yu <dead.ash@hotmail.com>
---
 dlls/kernel32/profile.c       | 2 ++
 dlls/kernel32/tests/profile.c | 1 -
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/dlls/kernel32/profile.c b/dlls/kernel32/profile.c
index f7d64f16a5..d5b6a9067c 100644
--- a/dlls/kernel32/profile.c
+++ b/dlls/kernel32/profile.c
@@ -1228,6 +1228,8 @@ UINT WINAPI GetPrivateProfileIntW( LPCWSTR section, LPCWSTR entry,
     UNICODE_STRING bufferW;
     ULONG result;
 
+    if (filename == NULL) return 0;
+
     if (GetPrivateProfileStringW( section, entry, emptystringW, buffer, ARRAY_SIZE( buffer ),
                                   filename ) == 0)
         return def_val;
diff --git a/dlls/kernel32/tests/profile.c b/dlls/kernel32/tests/profile.c
index 1339b2b20c..19d3872904 100644
--- a/dlls/kernel32/tests/profile.c
+++ b/dlls/kernel32/tests/profile.c
@@ -209,7 +209,6 @@ static void test_profile_sections(void)
     SetLastError(0xdeadbeef);
     ret = GetPrivateProfileSectionA( "section1", buf, sizeof(buf), NULL );
     ok( ret == 0, "expected return size 0, got %d\n", ret );
-    todo_wine
     ok( GetLastError() == ERROR_FILE_NOT_FOUND,
         "expected ERROR_FILE_NOT_FOUND, got %d\n", GetLastError());
 
-- 
2.26.1.windows.1

